FoxData Open API
My License
My License
  1. 1. application Services
  • I. Quick Start
    • 1. API Overview
    • 2. Quick Start
    • 3. Authorization
    • 4. Request & Response
    • 5. Rate Limiting
  • II. List of Interfaces
    • 1. application Services
      • 1001-App-Basic Info
        POST
      • 1002-App-Extended Info
        POST
      • 1003-App-Visibility Score
        POST
      • 1004-App-Apps by Same Developer
        POST
      • 1005-App-Ranking History
        POST
      • 1006-App-Featured Recommendations
        POST
      • 1007-App-Ratings & Reviews
        POST
      • 1008-App-Version History
        POST
      • 1009-App-Competitor Comparison
        POST
      • 1010-App-Competitor Bidding
        POST
      • 1011-App-Covered Keywords
        POST
      • 1012-App-Keyword Expansion
        POST
      • 1013-App-Bidding Keywords
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Task Retrieval
        POST
      • 1014-App-Bidding Keyword Periodic Monitoring-Data Retrieval
        POST
      • 1015-App-CPP Ad Creatives
        POST
      • 1016-App-App Tags
        POST
      • 1017-App-Download & Revenue Estimates
        POST
      • 1018-App-Smart Keyword Recommendations
        POST
      • 1019-App-Active Users
        POST
      • 1020-App-Basic Info (Advanced)
        POST
      • 1021-App-CPP Keywords
        POST
    • 2. Market Services
      • 2001-Market-Realtime Charts
      • 2002-Market-Global Chart Analysis
      • 2003-Market-Search Volume Charts
      • 2004-Market-Download & Revenue Charts
      • 2005-Market-Active Users & Customers
      • 2006-Market-App Release Monitoring
      • 2007-Market-Cleared Keyword Monitoring
      • 2008-Market-Cleared Ranking Monitoring
      • 2009-Market-App Delisting Monitoring
    • 3. ASA Services
      • 3001-Ad-Bidding Apps
      • 3002-Ad-Bidding Keywords
      • 3003-Ad-Bidding Keyword Analysis
      • 3004-Ad-CPPs
      • 3005-ASA Tab Rate Task
      • 3005-ASA Tab Rate Result
    • 4. Kerword research Services
      • 4001-Keyword Search
      • 4002-Keyword Expansion
      • 4003-Keyword Search Details
      • 4004-App-App Keywords
    • 9. Other Services
      • 9001-Paginated Query API
  • III. Data Dictionary and Definitions
    • 1. Application Classification Code
    • 2. Time and Location Information
    • 3. Regional Language Comparison Chart
    • 4. Explanation of Data Update Frequency
  • IV. Appendix
    • 1. Release Notes
    • 2. FAQ
    • 3. Contact and Support
  1. 1. application Services

1013-App-Bidding Keywords

Developing
POST
/keyword/asa
Query current bidding keywords (correlation, popularity, installs, bidding info, etc.).

Request

Authorization
Add parameter in header
x-openapi-key
Example:
x-openapi-key: ********************
Body Params application/json

Example
{
  "appId": "6451407032",
  "region": "CN",
  "metrics": [
    "CORRELATION",
    "RANK",
    "VOLUME",
    "RESULTS",
    "BIDDING"
  ],
  "limit": "TOP_200"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.foxdata.com/apiv1/open-api/keyword/asa' \
--header 'x-openapi-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
  "appId": "6451407032",
  "region": "CN",
  "metrics": [
    "CORRELATION",
    "RANK",
    "VOLUME",
    "RESULTS",
    "BIDDING"
  ],
  "limit": "TOP_200"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "requestParam": {
    "appId": "6451407032",
    "region": "CN",
    "metrics": [
      "CORRELATION",
      "RANK",
      "VOLUME",
      "RESULTS",
      "BIDDING"
    ],
    "limit": "TOP_200"
  },
  "result": {
    "iconPrefix": "https://is1-ssl.mzstatic.com/image/thumb",
    "appInfoMap": {
      "284882215": {
        "appName": "Facebook",
        "icon": "/Purple211/v4/7a/01/59/7a01597f-482a-1736-35fe-9aa0432aadab/Icon-Production-0-0-1x_U007epad-0-1-0-85-220.png/88x88w.png"
      },
      "284972998": {
        "appName": "SoundHound∞ 音乐搜索识别和播放器",
        "icon": "/Purple211/v4/e2/24/ce/e224ce28-fc1e-977f-2625-5d70a1cc95cb/AppIcon-Inf-0-0-1x_U007emarketing-0-8-0-sRGB-85-220.png/88x88w.png"
      }
    },
    "keywords": [
      {
        "keyword": "豆包",
        "ranking": {
          "num": 49,
          "trend": [
            136,
            134
          ]
        },
        "corr": 65,
        "volume": {
          "num": 97,
          "trend": [
            97,
            96
          ]
        },
        "result": {
          "num": 207,
          "apps": [
            "999228265",
            "6737763506"
          ]
        },
        "bidding": {
          "num": 6,
          "per": 0.1111,
          "apps": [
            {
              "appId": "6459478672",
              "per": 0.4444
            },
            {
              "appId": "6449919551",
              "per": 0.1111
            }
          ]
        }
      }
    ]
  },
  "creditsCost": {
    "requestCredits": 0,
    "baseCredits": 300,
    "extraCredits": 0,
    "totalCostCredits": 300
  },
  "next": {
    "taskId": "b0ed8727-4a84-4af9-a13f-ace6c54ea45d",
    "pageKey": "1"
  }
}
Modified at 2026-06-25 05:44:00
Previous
1012-App-Keyword Expansion
Next
1014-App-Bidding Keyword Periodic Monitoring-Task Initiation
Built with